define(function(require) {
    'use strict';

    const BaseView = require('oroui/js/app/views/base/view');
    const _ = require('underscore');
    const mediator = require('oroui/js/mediator');
    const localeSettings = require('orolocale/js/locale-settings');

    const ProductGtmView = BaseView.extend({
        /**
         * @property {Object}
         */
        options: {
            data: {}
        },

        /**
         * @inheritDoc
         */
        constructor: function ProductGtmView(options) {
            ProductGtmView.__super__.constructor.call(this, options);
        },

        /**
         * @inheritDoc
         */
        initialize: function(options) {
            ProductGtmView.__super__.initialize.call(this, options);

            this.options = _.defaults(options || {}, this.options);

            mediator.trigger('gtm:event:productDetail', [this.options.data], localeSettings.getCurrency());
        }
    });

    return ProductGtmView;
});
